﻿* Encoding: UTF-8.

*Add 7 WEMBWS items together to give a total WEBWBS raw score

COMPUTE WEMWBS_Raw=WEMWBS_1+WEMWBS_2+WEMWBS_3+WEMWBS_4+WEMWBS_5+WEMWBS_6+WEMWBS_7.
EXECUTE.

*WEMWBS raw score needs to be recoded following the WEMWBS coversion table

RECODE WEMWBS_Raw (7=7) (8=9.51) (9=11.25) (10=12.40) (11=13.33) (12=14.08) (13=14.75) (14=15.32) (15=15.84) (16=16.36) (17=16.88) 
    (18=17.43) (19=17.98) (20=18.59) (21=19.25) (22=19.98) (23=20.73) (24=21.54) (25=22.35) (26=23.21) 
    (27=24.11) (28=25.03) (29=26.02) (30=27.03) (31=28.13) (32=29.31) (33=30.70) (34=32.55) (35=35) 
    INTO WEMWBS_Metric.
EXECUTE.

*Add the three UCLA items together to give a total loneliness score

COMPUTE UCLA3_Total_LonelinessScore=UCLA_1+UCLA_2+UCLA_3.
EXECUTE.

*Add the six K6 items together to give a total Kessler Mental Distress Score

COMPUTE K6_Total=K6_1_1 + K6_1_2+K6_1_3 + K6_1_4+K6_1_5+K6_1_6.
EXECUTE.


*This initial section creates a variable called Study_FinalYear identifying whether doctoral students are in their final yer of study
*Note this is done twice, looking at FT and PT students seperately 
*Confusingly PT = 1 is FULL TIME and PT = 0 is Part time. 

DO IF  (PT_Study = 1).
RECODE StudyYear (1=0) (2=0) (ELSE=1) INTO Study_FinalYear.
END IF.
EXECUTE.

DO IF  (PT_Study = 0).
RECODE StudyYear (1=0) (2=0) (5=0) (4=0) (3=0) (ELSE=1) INTO Study_FinalYear.
END IF.
EXECUTE.

*Creating a new variable to allow simpler analysis of researchers near the end of their contracts - Funding_End_Soon 1 = Contracts end this calendar year
*Funding_End_Soon 0 = Contracts end Jan 2021 or later

RECODE Fund_end (1=1) (2=1) (3=1) (ELSE=3) INTO Funding_End_Soon.
EXECUTE.

*Russel Group Universities 

RECODE Uni (12=1) (21=1) (24=1) (27=1) (37=1) (42=1) (45=1) (47=1) (58=1) (64=1) (70=1) (77=1) 
    (84=1) (87=1) (93=1) (99=1) (102=1) (121=1) (130=1) (132=1) (133=1) (ELSE=0) INTO RusselGroup.
EXECUTE.

*Simple coding for Gender so GenderSimple 1 = male, 0 = female - other genders is missing

RECODE Gender (1=0) (0=1) (ELSE=SYSMIS) INTO GenderSimple.
EXECUTE.

*Simplified classification for funders 
*Where 1 - Research councils; 2 - Charities; 3 - Other UK Government Funding 
* 4- university funding; 5 = self-funding; 6 = other (including Royal Society, British Academy) 

RECODE Funding (1=1) (4=1) (5=1) (7=1) (9=1) (10=1) (11=1) (8=2) (13=2) (14=2) (15=2) (19=2) (20=2) 
    (21=2) (23=3) (29=3) (24=4) (27=5) (ELSE=6) INTO FundingSimple.
EXECUTE.

*We have a large number of respondents identifying a disability. I would like to cluster these - group those identifying a physical or sensory disability OR long term illness (NOT mental health condition)

IF  (Disab_1 =1 | Disab_2=1 | Disab_5=1) Disability_Physical_Sensory_Illness=1.
EXECUTE.
RECODE Disability_Physical_Sensory_Illness (1=1) (MISSING=0).
EXECUTE.


*Disab_4 is mental health problems

RECODE Disab_4 (1=1) (MISSING=0).
EXECUTE.

*Simplify REF categories into four groups corresponding to A, B, C and D - 
*A = 1 - medical and allied sciences
*B = 2 - Science 
*C = 3 - social sciences
*D = 4 - Arts & Humms

RECODE AcaArea (1 thru 8=1) (9 thru 14=2) (15 thru 26=3) (27 thru 36=4) INTO AcademicAreaSimple.
EXECUTE.

*To allow us to exclude other contracts and academic positions while retraining doctoral students I've recoded these variables so missing data is now coded as 9, so this can be included

DO IF (DocStatus = 1).
RECODE AcaPos Contract (MISSING=9).
END IF.
EXECUTE.
